/*
 * @Author: Kane
 * @Date: 2022-12-14 15:12:46
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-06 00:36:26
 * @FilePath: /IT工具综合平台/.eslintrc.js
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
module.exports = {
  root: true,
  env: {
    node: true,
  },
  'extends': [
    'plugin:vue/vue3-essential',
    'eslint:recommended',
  ],
  parserOptions: {
    parser: '@babel/eslint-parser',
  },
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    "no-unused-vars": "warn",
    "semi": ["error", "always",],//控制行尾部分号
    "comma-dangle": ["error", {
      "arrays": "always",
      "objects": "always",
      "imports": "never",
      "exports": "never",
      "functions": "never",
    },],//数组和对象键值对最后一个逗号
    "comma-style": ["error", "last",], //逗号在行位
    "array-bracket-spacing": ["error", "never",],
    "no-undef-init": "error",
    "no-invalid-this": "error",
    "no-use-before-define": "error",
    "no-shadow-restricted-names": "error", //禁止对一些关键字或者保留字进行赋值操作，比如NaN、Infinity、undefined、eval、arguments等
    // "comma-spacing": ["error", { "before": false, "after": true, },],
    "brace-style": ["error", "allman", { "allowSingleLine": true, },],
  },
};
