/*
 * @Author: Kane
 * @Date: 2023-02-28 00:20:48
 * @LastEditors: Kane
 * @FilePath: /task_schedule/src/router/index.js
 * @Description: 路由配置文件
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
import { createRouter, createWebHashHistory } from "vue-router";

const routes = [
    {
        path: "/",
        name: "Root",
        redirect: "Login",
        hidden: true,
    },
    {
        path: "/login",
        name: "Login",
        hidden: true,
        component: () => import("@/components/login/login.vue"),
    },
];

const router = createRouter(
    {
        history: createWebHashHistory(),
        routes,
    }
);

export { router };